summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2009-08-11 21:57:17 +0000
committerAndreas Proschofsky <suka@gentoo.org>2009-08-11 21:57:17 +0000
commit2248780c9e3c803a7d4b2da30283b32765498098 (patch)
treee67092e3d1b6429e49eed194c290a5d73fcddd51 /eclass
parentAdd ebuilds for GNOME Shell alpha (diff)
downloadsuka-2248780c9e3c803a7d4b2da30283b32765498098.tar.gz
suka-2248780c9e3c803a7d4b2da30283b32765498098.tar.bz2
suka-2248780c9e3c803a7d4b2da30283b32765498098.zip
quick fixes
svn path=/; revision=138
Diffstat (limited to 'eclass')
-rw-r--r--eclass/clutter.eclass42
1 files changed, 42 insertions, 0 deletions
diff --git a/eclass/clutter.eclass b/eclass/clutter.eclass
new file mode 100644
index 0000000..79de44e
--- /dev/null
+++ b/eclass/clutter.eclass
@@ -0,0 +1,42 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+#
+# clutter.eclass
+#
+# Sets SRC_URI, SLOT, and a few deps
+#
+# Authors:
+# Nirbheek Chauhan <nirbheek@gentoo.org>
+#
+
+inherit versionator
+
+HOMEPAGE="http://www.clutter-project.org/"
+
+RV=($(get_version_components))
+SRC_URI="http://www.clutter-project.org/sources/${PN}/${RV[0]}.${RV[1]}/${P}.tar.bz2"
+LICENSE="LGPL-2"
+
+DEPEND="dev-util/pkgconfig"
+
+DOCS="AUTHORS ChangeLog NEWS README TODO"
+
+clutter_src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ # examples
+ if hasq examples ${IUSE} && use examples; then
+ insinto /usr/share/doc/${PF}/examples
+
+ for example in ${EXAMPLES}; do
+ # If directory
+ if [[ ${example: -1} = "/" ]]; then
+ doins -r ${example}
+ else
+ doins ${example}
+ fi
+ done
+ fi
+}